##### basic_stream_socket::at_mark (2 of 2 overloads)

Inherited from basic_socket.

Determine whether the socket is at the out-of-band data mark.

    bool at_mark(
        asio::error_code & ec) const;

This function is used to check whether the socket input is currently positioned at the out-of-band data mark.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

A bool indicating whether the socket is at the out-of-band data mark.